package basic.debug;

import android.util.Log;

import com.wasu.module.log.ILogger;

/**
 * Created by fanwang on 12/29/16.
 * this log is used to export business log
 */
public class BuLogLever implements ILogger {
    private static final String APP_TAG = "WASU_4_0";

    private static final String GAP_LINE = "___";

    @Override
    public void v(String s, String s1) {
        Log.v(APP_TAG,s+GAP_LINE+s1);
    }

    @Override
    public void d(String s, String s1) {
        Log.d(APP_TAG,s+GAP_LINE+s1);
    }

    @Override
    public void i(String s, String s1) {
        Log.i(APP_TAG,s+GAP_LINE+s1);
    }

    @Override
    public void w(String s, String s1) {
        Log.w(APP_TAG,s+GAP_LINE+s1);
    }

    @Override
    public void e(String s, String s1) {
        Log.e(APP_TAG,s+GAP_LINE+s1);
    }

    @Override
    public void setPath(String s) {
        //do not support
    }
}
